#include <cstdio>
#include <cstdlib>


#include "circuit.h"

int main(int args, char* argv[]) {

    if(args != 2) {
        printf("usage: ./atpg <XXX.bench>\n");
        exit(1);
    }

    Circuit circuit;

    printf("parsing file %s...\n", argv[1]);
    circuit.parse_from_file(argv[1]);
    printf("====== Circuit Statistics ====== \n");
    printf("PI:\t%d\n", circuit.PIs.size());
    printf("PO:\t%d\n", circuit.POs.size());
    printf("Gates:\t%d\n", circuit.name2gate.size());

    

    return 0;
}